Article ID: 113424, created on Mar 16, 2012, last review on Aug 12, 2014

  • Applies to:
  • Plesk 10.x for Linux
  • Plesk 9.x for Linux/Unix
  • Plesk 8.x for Linux/Unix
  • Plesk 10.x for Windows
  • Plesk 9.x for Windows
  • Plesk 8.x for Windows

Note di release

Lo script plesk_remote_vulnerability_checker.php ha come scopo quello di permettere ai proprietari di Parallels Plesk Panel di verificare se le versioni di Parallels Plesk Panel 8.x, 9.x, 10.0, 10.1, 10.2 o 10.3 sono vulnerabili.

[scarica lo script]

Utilizzo:
Cambia la directory in quella dove hai scaricato lo script ed esegui il comando in basso per avviarlo.

Linux:
# php -d safe_mode=0 plesk_remote_vulnerability_checker.php


Windows:
"%plesk_dir%\additional\PleskPHP5\php.exe" -d safe_mode=0 plesk_remote_vulnerability_checker.php

 
L'output di questo script sarà uno dei seguenti:

1. Il patch è stato correttamente applicato -- se le correzioni consigliate sono state installate.
2. Il file <missed file name> non è stato trovato. Il patch non è applicabile -- i file di destinazione non sono presenti sul server.
3. Il patch non è stato applicato- - se le correzioni consigliate non sono state installate.
4. Il file <version file name> non è stato trovato -- se il file della versione Plesk non è stato trovato.
5. Non è stato possibile ottenere la versione Plesk da <version file name> -- se il file della versione Plesk è stato danneggiato.
6. Plesk è aggiornato - se si utilizza Plesk 10.4.x.

Se l'output informa: "La patch non è stata applicata," consultare questo articolo KB: http://kb.sp.parallels.com/en/113321 per maggiori informazioni su come applicare la patch.

Attachments

56797cefb1efc9130f7c48a7d1db0f0c aac4a8fcd879de03758354e15495d69a a914db3fdc7a53ddcfd1b2db8f5a1b9c 85a92ca67f2200d36506862eaa6ed6b8 c796c01d6951fa24ed54c7f1111667c6 c45acecf540ecd42a4bbfb242ce02b1d b8ef5052d936e902043e41759118114e 29d1e90fd304f01e6420fbe60f66f838 dd0611b6086474193d9bf78e2b293040 6ef0db7f1685482449634a455d77d3f4

Email subscription for changes to this article
Save as PDF